# $Revision: 1.17 $, $Date: 2004/05/07 01:12:26 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	DBIx
%define	pnam	Table
Summary:	DBIx::Table - class used to represent DBI database tables
Summary(pl):	DBIx::Table - klasa suca do reprezentowania tabel DBI
Name:		perl-DBIx-Table
Version:	0.04
Release:	4
# same aa perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	82757c208b63ef2e3b6dad59892c2c7c
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBIx::Table is a class designed to act as an abstraction layer around
a fairly large subset of SQL queries. It is called 'Table' because it
is primarily designed such that a single subclass provides an
object-oriented interface to a single database table. The module is
flexible enough, though, that it can be used to abstract most any
schema in a way that is comfortable to the perl coder who is not
familiar with the underlying schema, or even SQL.

%description -l pl
DBIx::Table to klasa zaprojektowana tak, by suya jako warstwa
abstrakcji dla do duego podzbioru zapyta SQL. Nazywa si "Table",
poniewa jest zaprojektowana zasadniczo tak, e pojedyncza podklasa
udostpnia zorientowany obiektowo interfejs do pojedynczej tabeli bazy
danych. Modu jest jednak na tyle elastyczny, e moe by uywany do
wyabstrahowania prawie kadego schematu w sposb wygodny dla perlowego
kodera niezbyt zaznajomionego z podstawowymi schematami czy nawet
SQL-em.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/%{pdir}/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-Table.spec,v $
Revision 1.17  2004/05/07 01:12:26  ankry
- rel. 4

Revision 1.16  2004/05/06 18:09:28  ankry
- fixed perl-devel BR

Revision 1.15  2004/04/25 06:25:07  ankry
- cosmetics: unification

Revision 1.14  2004/04/20 10:08:06  ankry
- new bconds

Revision 1.13  2004/04/20 05:22:49  ankry
- license fixes and unification

Revision 1.12  2004/04/14 14:47:11  ankry
- cosmetics

Revision 1.11  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.10  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:05:14  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:38:32  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:30:58  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/08/18 13:54:21  qboosh
- pl description, release ++

Revision 1.2  2002/08/09 10:03:15  radek
- cosmetic fix

Revision 1.1  2002/08/09 00:35:57  radek
- new, STBR
